org.apache.cassandra.cql3

## Class Lists

- java.lang.Object
- - org.apache.cassandra.cql3.Lists

-     public abstract class Lists
      extends java.lang.Object

  Static helper methods and classes for lists.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Lists.Appender`
    `static class` | `Lists.DelayedValue` Basically similar to a Value, but with some non-pure function (that need to be evaluated at execution time) in it.
    `static class` | `Lists.Discarder`
    `static class` | `Lists.DiscarderByIndex`
    `static class` | `Lists.Literal`
    `static class` | `Lists.Marker` A marker for List values and IN relations
    `static class` | `Lists.Prepender`
    `static class` | `Lists.Setter`
    `static class` | `Lists.SetterByIndex`
    `static class` | `Lists.Value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnSpecification` | `indexSpecOf(ColumnSpecification column)`
    `static ColumnSpecification` | `valueSpecOf(ColumnSpecification column)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### indexSpecOf

          public static ColumnSpecification indexSpecOf(ColumnSpecification column)

    - #### valueSpecOf

          public static ColumnSpecification valueSpecOf(ColumnSpecification column)

Copyright © 2018 The Apache Software Foundation